{repo}.json: GitHub repository license (JSON)

API: shields.io:shields
Endpoint: /github/license/{owner}/{repo}.json
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 399ms

Description

Get license data in JSON format.

Parameters (2)

owner (string, path, required)

GitHub repository owner username

repo (string, path, required)

GitHub repository name

Examples (1)

GitHub repository license (JSON) openapi-spec
curl 'https://img.shields.io/github/license/badges/shields.json'
import requests

resp = requests.get("https://img.shields.io/github/license/badges/shields.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("shields")
result = api.fetch("github/license/{owner}/{repo}.json")

for item in result:
    print(item)
const resp = await fetch("https://img.shields.io/github/license/badges/shields.json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:33:18.249496 200 399ms
2026-04-15 03:58:36.703698 200 436ms
2026-04-14 00:34:53.762182 200 379ms
2026-04-12 16:31:09.990210 200 552ms
2026-04-10 00:38:27.736900 200 376ms